function mapNameToHinduFemaleReligion(name) {
    const lowerCaseName = name.toLowerCase().trim();
    console.log('Mapping Hindu Female:', lowerCaseName);
    if (
        lowerCaseName === 'vijay lakshmi' ||
        lowerCaseName === 'vaishali' ||
        lowerCaseName === 'sakshi' ||
        lowerCaseName === 'reema' ||
        lowerCaseName === 'anita' ||
        lowerCaseName === 'palak' ||
        lowerCaseName === 'bebo' ||
        lowerCaseName === 'riya' ||
        lowerCaseName === 'priya' ||
        lowerCaseName === 'meena' ||
        lowerCaseName === 'roshni' ||
        lowerCaseName === 'aditi'
    ) {
        return 'Hindu';
    }
    return 'Unknown'; // Default if no match found
}